Bug 1066194 - hex value of partition type is not shown
Summary: hex value of partition type is not shown
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 23:49 UTC by Robert Strickler
Modified: 2015-03-21 20:58 UTC (History)
3 users (show)

Fixed In Version: gparted-0.19.1-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-21 20:58:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 742101 None None None Never

Description Robert Strickler 2014-02-17 23:49:03 UTC
Description of problem:
"Information" of a partition does not show the hex partition ID 

Version-Release number of selected component (if applicable):
0.16.1

How reproducible:
always

Steps to Reproduce:
1. right click on partition
2. click on "Information" menu item
3. only text translation is displayed

Actual results:
File System:    FAT16

Expected results:
File System:    0700-FAT16

Additional info:
GPT is 4 hex digits
MSDOS is only 2 hex digits

Comment 1 Fedora Admin XMLRPC Client 2014-07-26 17:13:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2014-07-26 19:52:48 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Mukundan Ragavan 2014-10-11 21:11:25 UTC
Do you still see this in the latest version?

Comment 4 Robert Strickler 2014-10-11 21:36:12 UTC
(In reply to Mukundan Ragavan from comment #3)
> Do you still see this in the latest version?
ues v0.18 on F20 my f21 is a minimal install no dektop or gparted there

Comment 5 Fedora Update System 2014-12-19 02:09:27 UTC
gparted-0.19.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gparted-0.19.1-3.fc21

Comment 6 Fedora Update System 2014-12-20 08:46:57 UTC
Package gparted-0.19.1-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.19.1-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17362/gparted-0.19.1-3.fc21
then log in and leave karma (feedback).

Comment 7 Mukundan Ragavan 2014-12-30 00:34:38 UTC
I will report this upstream.

Comment 8 Mike Fleetwood 2014-12-30 10:10:55 UTC
Hello Robert,

GParted currently goes out of it's way to avoid it's users having to
deal the type of the partition.  It is automatically set based on the
type of the file system the user chooses to create or copy into a
partition.

Can you please explain your use case where you need to see the partition
type?
Will using 'fdisk -l /dev/sda' or 'gdisk -l /dev/sda' work for your use
case?

Thanks,
Mike Fleetwood
(GParted Developer)

Comment 9 Mukundan Ragavan 2014-12-31 01:41:13 UTC
Mike, Thanks for the comment here directly! Much appreciated.

Comment 10 Fedora Update System 2014-12-31 19:03:29 UTC
gparted-0.19.1-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Robert Strickler 2015-01-01 04:25:43 UTC
still not fixed as of 0.19.1 in f21 testing

I am familiar with gdisk et al, good stuff for scripting the provisioning of new media to a template, major revisioning of partitions, meh, not so much. Why should we be forced  to bring up a separate command line utility to get the information that should be right there in front of one in gparted?
I am not asking for a change in the partition type menu (you can do that if you feel ambitious and desire constancy), just the right click information pane

>GParted currently goes out of it's way to avoid it's users having to
deal the type of the partition.

This sounds like a very Ubuntuish/Microsoftian attitude ala the Windows default of hiding filename extensions from the stupid lusers so the lil darlin's dont get "confused", except that I dont have the option of selecting the presentation style to get it back. It smacks of  "my way or the highway"
Please don't Microsoft your user base and try to "protect" us poor lusers from the "scary" technical details, more information is better.


We are encouraged to participate in making linux better.
Can you please cite a use case in which this would not make linux/gparted better?

Comment 12 Mike Fleetwood 2015-01-02 20:08:01 UTC
I have looked at libparted, the library GParted uses to manipulate
partitions.  Libparted does not expose the types of partitions.  It
forces programs to merely specify the type of the file system to be
stored in the partition and chooses the appropriate type based on that.
This explains why GParted works the way it does.

Without (1) writing code to read the partition tables directly or
(2) run commands such fdisk and gdisk to report the partition types I
don't see how GParted can get the partition types to report them.

The MSDOS and GPT partition types are actually read by libparted, but
hidden within the disk_specific void pointer in PedPartition struct.  It
is not exposed in the libparted API
(http://www.gnu.org/software/parted/api/struct__PedPartition.html)

libparted source dos.c:raw_part_parse()
http://git.savannah.gnu.org/cgit/parted.git/tree/libparted/labels/dos.c?id=v3.2#n932

libparted source gpt.c:_parse_part_entry()
http://git.savannah.gnu.org/cgit/parted.git/tree/libparted/labels/gpt.c?id=v3.2#n801

At the moment it is too much effort to add the partition type into the
Information dialog to justify the work.

Mike

Comment 13 Mukundan Ragavan 2015-03-21 20:58:12 UTC
I am closing this bug as upstream is the correct place for this. If anyone disagrees, please reopen. Thanks.


Note You need to log in before you can comment on or make changes to this bug.